--[[

Menu entry to standby the system

--]]


local oo            = require("loop.simple")
local AppletMeta    = require("jive.AppletMeta")
local Framework     = require("jive.ui.Framework")
local os            = require("os")

local appletManager = appletManager
local jiveMain      = jiveMain

local EVENT_CONSUME = jive.ui.EVENT_CONSUME
local EVENT_QUIT    = jive.ui.EVENT_QUIT


module(...)
oo.class(_M, AppletMeta)


function jiveVersion(self)
	return 1, 1
end


function registerApplet(self)
end

function configureApplet(self)
	-- add ourselves to the end of the main menu
	jiveMain:addItem({
		id = 'appletStandby',
		iconStyle = 'hm_quit',
		node = 'home',
		text = self:string("STANDBY"),
		callback = function()
			-- disconnect from Player/SqueezeCenter
			appletManager:callService("disconnectPlayer")
			os.execute("sh /usr/share/jive/applets/Standby/standby.sh")
			Framework:quit()
			return (bit.bor(EVENT_CONSUME, EVENT_QUIT))
		end,
		weight = 1010,
	})
end
